import { WidgetBase } from '@csnext/cs-client';
import { DocDatasource, DeviceStorage, ServerStorage } from '../..';
export default class Management extends WidgetBase {
    files: {
        [name: string]: any;
    };
    get activeUser(): string | undefined;
    recent: any[] | null;
    sourceTab: number | null;
    menuTab: number;
    validDatamodel: boolean;
    validDatabase: boolean;
    folderSelected: boolean;
    reloadRequired: boolean;
    get serverStorage(): ServerStorage | undefined;
    openServer(): void;
    downloadkg(): Promise<void>;
    restorekg(): void;
    private isSelected;
    openFileHandle(file: any): Promise<void>;
    removeRecent(index: number): Promise<void>;
    get deviceStorage(): DeviceStorage | undefined;
    private verifyPermission;
    reloadFolder(): void;
    openRecent(): void;
    directoryHandle: any;
    loadFolder(): Promise<void>;
    private getFileHandle;
    openFile(): Promise<void>;
    openKG(): Promise<void>;
    private writeFile;
    set activeUser(userId: string | undefined);
    get source(): DocDatasource | undefined;
    constructor();
    checkDirectory(): Promise<void>;
    contentLoaded(): Promise<void>;
    mounted(): void;
}
